Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class AutoTimeoutSessionManagerImpl

    java.lang.Object
      oracle.ifs.fdk.impl.AutoTimeoutSessionManagerImpl

All Implemented Interfaces:
  AutoTimeoutSessionManager, FdkSessionListener

    public class AutoTimeoutSessionManagerImpl

extends java.lang.Object
implements AutoTimeoutSessionManager, FdkSessionListener

The implementation for the `AutoTimeoutSessionManager` interface. See the documentation for the interface.

Constructor Summary
`AutoTimeoutSessionManagerImpl(Server server, long timeout, java.util.Map options)` Constructor.

Method Summary
`void` | `disconnectCallback(FdkSession session)` Called right before a session is about to be disconnected.
`FdkSession` | `getSession(java.lang.String username)` Retrieves a session for the specified user.
`void` | `returnSession(FdkSession session)` Returns a session back to the manager.
`java.lang.String` | `toString()` String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoTimeoutSessionManagerImpl

    public AutoTimeoutSessionManagerImpl(Server server,
                                         long timeout,
                                         java.util.Map options)
                                  throws FdkException

  Constructor.

  Parameters:
    `server` - Server to use for authentication.
    `timeout` - The timeout for the sessions in seconds A value less or equal than zero will set a default timeout of 1800 seconds.
    `options` - Options used when creating new sessions.
  Throws:
    `FdkException`

Method Detail

### getSession

    public FdkSession getSession(java.lang.String username)
                          throws FdkException

  Description copied from interface: `AutoTimeoutSessionManager`
  Retrieves a session for the specified user.

  NOTE: No authentication for the user is performed, the caller needs to make sure the user is authenticated via other means BEFORE calling this method.

  Specified by:
    `getSession` in interface `AutoTimeoutSessionManager`
  Parameters:
    `username` - The username for which to get a session.
  Throws:
    `FdkException`

### returnSession

    public void returnSession(FdkSession session)
                       throws FdkException

  Description copied from interface: `AutoTimeoutSessionManager`
  Returns a session back to the manager. This method should be called when the application finished servicing a request. The application must not disconnect the session before returning it or an exception will be thrown. The application must also dispose of all references to the session after this method is called in order to avoid potential memory leaks.

  Specified by:
    `returnSession` in interface `AutoTimeoutSessionManager`
  Parameters:
    `session` - The session to return back.
  Throws:
    `FdkException`

### disconnectCallback

    public void disconnectCallback(FdkSession session)

  Description copied from interface: `FdkSessionListener`
  Called right before a session is about to be disconnected.

  Specified by:
    `disconnectCallback` in interface `FdkSessionListener`
  Parameters:
    `session` - The session being disconnected.

### toString

    public java.lang.String toString()

  Description copied from class: `AutoTimeoutSessionManagerImpl`
  String representation.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD